{
	"name": "table/manager/task/task_work.json",
	"table_name": "task_work",
	"table_prefix": "taskw",
	"main_table": "task",
	"record_type": [""],
	"default_order": [
		{
			"field": "modify_id",
			"order": "<"
		}
	],
	"save_script": [],
	"field": [
		{
			"field_name": "end_time",
			"field_type": "timestamp with time zone"
		},
		{
			"field_name": "info",
			"field_type": "text"
		},
		{
			"field_name": "person_id",
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "delete with",
					"linked_field": "person_id",
					"linked_record_type": "",
					"linked_table": "person",
					"linking_record_type": ""
				}
			],
			"length": 40
		},
		{
			"field_name": "start_time",
			"field_type": "timestamp with time zone"
		},
		{
			"field_name": "task_id",
			"field_type": "uuid",
			"foreign_key": [
				{
					"link_type": "delete with",
					"linked_field": "record_id",
					"linked_record_type": "",
					"linked_table": "task",
					"linking_record_type": ""
				}
			]
		},
		{
			"field_name": "task_work_state",
			"field_type": "varchar",
			"length": 40
		},
		{
			"field_name": "task_work_type",
			"field_type": "varchar",
			"length": 40
		},
		{
			"field_name": "work_time",
			"field_type": "double"
		}
	],
	"default_field": "table/default_field.json",
	"field_change": [
		{
			"name": "task_work_type",
			"old_name": ["type"]
		},
		{
			"name": "task_work_state",
			"old_name": ["state"]
		}
	]
}
